Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.client.swing
Class XMLFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          vutbr.checkers.client.swing.XMLFilter

    public class XMLFilter

extends javax.swing.filechooser.FileFilter

Trida XMLFilter - trida filtrovani XML zaznamu patrii

Author:
  Ondrej Novy

Constructor Summary
`XMLFilter()`

Method Summary
`boolean` | `accept(java.io.File f)` Overi zda tento soubor je typu XML zaznam partie
`java.lang.String` | `getDescription()` Vrati popis souboroveho filtru

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFilter

    public XMLFilter()

Method Detail

### accept

    public boolean accept(java.io.File f)

  Overi zda tento soubor je typu XML zaznam partie

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`
  Parameters:
    `f` - Soubor XML zaznamu partie

### getDescription

    public java.lang.String getDescription()

  Vrati popis souboroveho filtru

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    Popis souboroveho filtru

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD